# salt.modules.baredoc

Baredoc walks the installed module and state directories and generates dictionaries and lists of the function names and their arguments.

New in version 3001.

salt.modules.baredoc.list_modules(name=False, names_only=False)

  Walk the Salt install tree for execution modules and return a dictionary or a list of their functions as well as their arguments.

  Parameters:

    - name -- specify a specific module to list. If not specified, all modules will be listed.

    - names_only -- Return only a list of the callable functions instead of a dictionary with arguments

  CLI Example:

      salt myminion baredoc.list_modules

      myminion:
          ----------
      [...]
        at:
      - atq:
          tag: null
      - atrm:
          args: args
      - at:
          args: args
          kwargs: kwargs
      - atc:
          jobid: null
      - jobcheck:
          kwargs: kwargs
      [...]

salt.modules.baredoc.list_states(name=False, names_only=False)

  Walk the Salt install tree for state modules and return a dictionary or a list of their functions as well as their arguments.

  Parameters:

    - name -- specify a specific module to list. If not specified, all modules will be listed.

    - names_only -- Return only a list of the callable functions instead of a dictionary with arguments

  CLI Example:

  (example truncated for brevity)

      salt myminion baredoc.list_states

      myminion:
          ----------
      [...]
        at:
        - present:
            name: null
            timespec: null
            tag: null
            user: null
            job: null
            unique_tag: false
         - absent:
            name: null
            jobid: null
            kwargs: kwargs
         - watch:
            name: null
            timespec: null
            tag: null
            user: null
            job: null
            unique_tag: false
         - mod_watch:
            name: null
            kwargs: kwargs
      [...]

salt.modules.baredoc.module_docs(*names)

  Return the docstrings for all modules. Optionally, specify a module or a function to narrow the selection.

  Parameters:

    name -- specify a specific module to list.

  CLI Example:

      salt myminion baredoc.module_docs

salt.modules.baredoc.state_docs(*names)

  Return the docstrings for all state modules. Optionally, specify a state module or a function to narrow the selection.

  Parameters:

    name -- specify a specific module to list.

  CLI Example:

      salt myminion baredoc.state_docs at